> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Morpho Position

> Reads a wallet Morpho vault position (single vault or all) when the org has Morpho enabled.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-morpho-position
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-morpho-position:
    get:
      operationId: getMorphoPosition
      summary: Get Morpho Position
      description: >-
        Reads a wallet Morpho vault position (single vault or all) when the org
        has Morpho enabled.


        Not available to API keys.
      parameters:
        - name: walletAddress
          in: query
          required: true
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
        - name: vaultAddress
          in: query
          required: false
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
        - name: chainId
          in: query
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMorphoPositionResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetMorphoPositionResponse:
      oneOf:
        - $ref: '#/components/schemas/GetMorphoPositionResponse1'
        - type: array
          items:
            type: object
            properties:
              vaultAddress:
                type: string
              vaultName:
                type: string
              chainId:
                type: integer
              assetSymbol:
                type: string
              assetDecimals:
                type: integer
              shares:
                type: string
              assetsValue:
                type: string
              assetsValueNumber:
                type: number
              apy:
                type:
                  - number
                  - 'null'
            required:
              - vaultAddress
              - vaultName
              - chainId
              - assetSymbol
              - assetDecimals
              - shares
              - assetsValue
              - assetsValueNumber
              - apy
        - type: 'null'
    GetMorphoPositionResponse1:
      type: object
      properties:
        vaultAddress:
          type: string
        vaultName:
          type: string
        chainId:
          type: integer
        assetSymbol:
          type: string
        assetDecimals:
          type: integer
        shares:
          type: string
        assetsValue:
          type: string
        assetsValueNumber:
          type: number
        apy:
          type:
            - number
            - 'null'
      required:
        - vaultAddress
        - vaultName
        - chainId
        - assetSymbol
        - assetDecimals
        - shares
        - assetsValue
        - assetsValueNumber
        - apy
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
